Bug 152427 - Hal segfaults when cups starts
Hal segfaults when cups starts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-29 09:09 EST by Philippe Rigault
Modified: 2013-03-05 22:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 00:45:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Rigault 2005-03-29 09:09:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; en_US, fr) KHTML/3.4.0 (like Gecko)

Description of problem:
I am seeing hal segfault messages in syslog and traced it back to the start of 
cups. I don't know how serious it is, but printing goes normally. 

Version-Release number of selected component (if applicable):
hal-0.4.7-1.FC3

How reproducible:
Always

Steps to Reproduce:
1. /etc/init.d/cups start  
2.   
3.   
     

Actual Results:  Mar 29 09:01:19 ls2 kernel: hal[1575]: segfault at 0000000000000000 rip   
0000000000400ec7 rsp 0000007fbfffd410 error 4   
Mar 29 09:01:19 ls2 cups: cupsd startup succeeded   
 

Expected Results:  Mar 29 09:01:19 ls2 cups: cupsd startup succeeded   

Additional info:

cups-1.1.22-0.rc1.8.5 
kernel-2.6.10-1.770_FC3smp
Comment 1 Matthew Miller 2006-07-10 19:37:28 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 petrosyan 2008-02-07 00:45:38 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.